Go to the latest version of this document.

# ``twisted`.`internet`.`interfaces`.`IWriteDescriptor``

interface documentation

`class IWriteDescriptor(IFileDescriptor): (source)`

Known subclasses: `twisted.internet.interfaces.IReadWriteDescriptor`

View In Hierarchy

An `IFileDescriptor` that can write.

This interface is generally used in conjunction with `IReactorFDSet`.

Method | `doWrite` | Some data can be written to your descriptor.

Inherited from `IFileDescriptor`:

Method | `connectionLost` | Called when the connection was lost.
Method | `fileno` | No summary

Inherited from `ILoggingContext` (via `IFileDescriptor`):

Method | `logPrefix` | No summary

def doWrite() -> `Failure | None`: (source)

Some data can be written to your descriptor.

Returns
`Failure | None` | If an error is encountered which causes the descriptor to no longer be valid, a `Failure` should be returned. Otherwise, `None`.